Publish Cadences

Purpose

To publish a cadence in your Zoho CRM organization.

Endpoints

  • POST /settings/automation/cadences/{cadence_id}/actions/publish

Request Details

Request URL

{api-domain}/crm/{version}/settings/automation/cadences/{cadence_id}/actions/publish

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.cadences.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/cadences/4794410000000820076/actions/publish"
-X POST
-d "@input.json"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Input JSON

  • process_existing_record Boolean, optional

    Specify whether the existing records in the module must be processed in the cadences. Note that this is applicable only for custom view cadences.
    Possible values: true, false.

Sample Input

Copied{
    "cadences": [
        {
            "process_existing_record": true
        }
    ]
}

Possible Errors

  • NOT_ALLOWEDHTTP 400
    • Cannot merge published Cadences.
      Resolution: Specify a Cadence ID that is not already published.
    • Only Cadences in draft can be merged with its parent.
      Resolution: Cadence in inactive stage cannot be published.
    • For manual Enrollment we wont add process_existing_records key not allowed.
      Resolution: Publish is not possible as "process_existing_records" key's value is set as false for manual enrollment.
    • Cadence must contain at least one follow-up to publish.
      Resolution: Add follow-ups to the cadence.
    • Associated Custom View is not available.
      Resolution: Remove unsupported custom view field.
    • The custom_view contains unsupported fields in the criteria.
      Resolution: Remove unsupported custom view field.
  • LIMIT_EXCEEDEDHTTP 400
    • Action configured more than allowed limit.
      Resolution: When Zoho CRM editions are downgraded, the number of allowed actions gets reduced. If your cadence has more actions than the new lower limit, you will get a “LIMIT_EXCEEDED” error when trying to publish it.
    • More than 30 Cadences cannot be activated for module.
      Resolution: Activate not possible as publish limit exceeded per module. Refer to the Cadence section in the Zoho CRM editions comparison page for edition-wise limits.
    • More than 150 Cadences cannot be activated.
      Resolution: Activate not possible as total publish limit is exceeded. Refer to the Cadence section in the Zoho CRM editions comparison page for edition-wise limits.

Sample Response

Copied{
    "cadences": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5843104000007091001"
            },
            "message": "Cadences published successfully",
            "status": "success"
        }
    ]
}